import { BaseOutput } from '~/core/entities/output/baseOutput';

export class PurchaseTypeAllOutput extends BaseOutput {
    /* tslint:disable variable-name */
    ID: string;
    DisplayName: string;

    /* tslint:enable variable-name */

    constructor(warehouseId = '', displayName = '') {
        super();
        this.ID = warehouseId;
        this.DisplayName = displayName;
    }

    toFullString() {
        return `ID: ${this.ID}
DisplayName: ${this.DisplayName}`;
    }
}
